Apache JMeter

## org.apache.jmeter.functions
Class CSVRead

    java.lang.Object
      org.apache.jmeter.functions.AbstractFunction
          org.apache.jmeter.functions.CSVRead

All Implemented Interfaces:
  Function

    public class CSVRead

extends AbstractFunction

The function represented by this class allows data to be read from CSV files. Syntax is similar to StringFromFile function. The function allows the test to line-thru the data in the CSV file - one line per each test. E.g. inserting the following in the test scripts : ${_CSVRead(c:/BOF/abcd.csv,0)} // read (first) line of 'c:/BOF/abcd.csv' , return the 1st column ( represented by the '0'), ${_CSVRead(c:/BOF/abcd.csv,1)} // read (first) line of 'c:/BOF/abcd.csv' , return the 2nd column ( represented by the '1'), ${_CSVRead(c:/BOF/abcd.csv,next())} // Go to next line of 'c:/BOF/abcd.csv' NOTE: A single instance of each different file is opened and used for all threads. To open the same file twice, use the alias function: __CSVRead(abc.csv,*ONE); __CSVRead(abc.csv,*TWO); __CSVRead(*ONE,1); etc

Constructor Summary
`CSVRead()`

Method Summary
`String` `execute(SampleResult previousResult, Sampler currentSampler)` N.B. setParameters() and execute() are called from different threads, so both must be synchronized unless there are no parameters to save
`List<String>` `getArgumentDesc()` Return a list of strings briefly describing each parameter your function takes.
`String` `getReferenceKey()` Return the name of your function.
`void` `setParameters(Collection<CompoundVariable> parameters)` N.B. setParameters() and execute() are called from different threads, so both must be synchronized unless there are no parameters to save

Methods inherited from class org.apache.jmeter.functions.AbstractFunction
`checkMinParameterCount, checkParameterCount, checkParameterCount, execute, getVariables`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSVRead

    public CSVRead()

Method Detail

### execute

    public String execute(SampleResult previousResult,
                          Sampler currentSampler)
                   throws InvalidVariableException

  N.B. setParameters() and execute() are called from different threads, so both must be synchronized unless there are no parameters to save

  Specified by:
    `execute` in interface `Function`
  Specified by:
    `execute` in class `AbstractFunction`
  Throws:
    `InvalidVariableException`
  See Also:
    `Function.execute(SampleResult, Sampler)`

### getArgumentDesc

    public List<String> getArgumentDesc()

  Return a list of strings briefly describing each parameter your function takes. Please use JMeterUtils.getResString(resource_name) to grab a resource string. Otherwise, your help text will be difficult to internationalize. This list is not optional. If you don't wish to write help, you must at least return a List containing the correct number of blank strings, one for each argument.

### getReferenceKey

    public String getReferenceKey()

  Return the name of your function. Convention is to prepend "__" to the name (ie "__regexFunction")

  Specified by:
    `getReferenceKey` in interface `Function`
  Specified by:
    `getReferenceKey` in class `AbstractFunction`
  See Also:
    `Function.getReferenceKey()`

### setParameters

    public void setParameters(Collection<CompoundVariable> parameters)
                       throws InvalidVariableException

  N.B. setParameters() and execute() are called from different threads, so both must be synchronized unless there are no parameters to save

  Specified by:
    `setParameters` in interface `Function`
  Specified by:
    `setParameters` in class `AbstractFunction`
  Throws:
    `InvalidVariableException`
  See Also:
    `
    Note: This is always called even if no parameters are provided (versions of JMeter after 2.3.1)`

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.